# UI

```
int GET_WAYPOINT_BLIP_ENUM_ID()
Blip GET_FIRST_BLIP_INFO_ID(int blipSprite)
bool DOES_BLIP_EXIST(Blip blip)
Blip GET_NEXT_BLIP_INFO_ID(int blipSprite)
int GET_BLIP_INFO_ID_TYPE(Blip blip)
vec3 GET_BLIP_INFO_ID_COORD(Blip blip)
void BEGIN_TEXT_COMMAND_DISPLAY_TEXT(string text)
void ADD_TEXT_COMPONENT_SUBSTRING_PLAYER_NAME(string text)
void END_TEXT_COMMAND_DISPLAY_TEXT(float x, float y, int p2)
void DRAW_TEXT(string text, float x, float y, float width, float height, int red, int green, int blue, int alpha, int font, bool centered, bool rightAligned, bool outline)
Blip GET_BLIP_FROM_ENTITY(Entity entity)
Blip ADD_BLIP_FOR_ENTITY(Entity entity)
void SET_BLIP_SPRITE(Blip blip, int spriteId)
void SET_BLIP_COLOUR(Blip blip, int color)
void HIDE_HUD_COMPONENT_THIS_FRAME(int id)
void HIDE_HUD_AND_RADAR_THIS_FRAME()
string GET_LABEL_TEXT(string labelName)
void DRAW_RECT(float x, float y, float width, float height, int r, int g, int b, int a, bool p8)
void DRAW_LINE(float x1, float y1, float z1, float x2, float y2, float z2, int red, int green, int blue, int alpha)
void SET_TEXT_SCALE(float scale, float size)
void SET_TEXT_COLOUR(int red, int green, int blue, int alpha)
void SET_TEXT_FONT(int fontType)
void SET_TEXT_WRAP(float start, float end)
void SET_TEXT_OUTLINE()
void SET_TEXT_CENTRE(bool align)
void SET_TEXT_RIGHT_JUSTIFY(bool toggle)
void SET_TEXT_JUSTIFICATION(int justifyType)
void SET_NEW_WAYPOINT(float x, float y)
bool IS_HUD_COMPONENT_ACTIVE(int id)
void SHOW_HUD_COMPONENT_THIS_FRAME(int id)
void SET_WAYPOINT_OFF()
void SET_BLIP_AS_MISSION_CREATOR_BLIP(Blip blip, bool toggle)
bool IS_MISSION_CREATOR_BLIP(Blip blip)
Blip ADD_BLIP_FOR_RADIUS(float posX, float posY, float posZ, float radius)
Blip ADD_BLIP_FOR_PICKUP(Pickup pickup)
Blip ADD_BLIP_FOR_COORD(float x, float y, float z)
void SET_BLIP_COORD(Blip blip, float posX, float posY, float posZ)
vec3 GET_BLIP_COORDS(Blip blip)
void REMOVE_BLIP(Blip blip)
void SET_BLIP_ROUTE(Blip blip, bool enabled)
void SET_BLIP_ROUTE_COLOUR(Blip blip, int colour)
int GET_WAYPOINT_BLIP_ENUM_ID()
Blip GET_FIRST_BLIP_INFO_ID(int blipSprite)
BOOL DOES_BLIP_EXIST(Blip blip)
Blip GET_NEXT_BLIP_INFO_ID(int blipSprite)
int GET_BLIP_INFO_ID_TYPE(Blip blip)
vec3 GET_BLIP_INFO_ID_COORD(Blip blip)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cherax.vip/lua-documentation/api-reference/natives/ui.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
